Currency
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
Skipinteger · int32OptionalExample:
Skip number of records
10Takeinteger · int32OptionalExample:
Take number of records
5FilterstringOptionalExample:
Filter the resulsts. See ODATA documentation for more information
name eq 'Adam' and age gt 20SortstringOptionalExample:
Sorting the results. See ODATA specificaion for more information
nameHeader parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
codestring · nullableOptional
descriptionstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get/Currency
GET /Currency HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"description": "text"
}
]Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
codestring · min: 3 · max: 3Required
descriptionstring · nullableOptional
Responses
201
Created
application/json
idstring · uuidOptional
codestring · nullableOptional
descriptionstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
post/Currency
POST /Currency HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36
{
"code": "text",
"description": "text"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"description": "text"
}get
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
codestring · nullableOptional
descriptionstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get/Currency/BaseCurrency
GET /Currency/BaseCurrency HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"description": "text"
}Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
No content
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
delete/Currency/{id}
DELETE /Currency/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuidOptional
codestring · nullableOptional
descriptionstring · nullableOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
get/Currency/{id}
GET /Currency/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"code": "text",
"description": "text"
}Last updated